from unitgrade.framework import Report, UTestCase
from unitgrade import evaluate_report_student
import homework1
import importnb
from unitgrade.framework import NotebookTestCase
from unitgrade.utils import Capturing

file = 'week2.ipynb'
class Week1(UTestCase):
    @classmethod
    def setUpClass(cls) -> None:
        with Capturing():
            cls.nb = importnb.Notebook.load(file)

    def test_add(self):
        self.assertEqual(Week1.nb.myfun(2,2), 4)
        self.assertEqual(Week1.nb.myfun(2,4), 8)

    def test_reverse(self):
        self.assertEqual(Week1.nb.var, "hello world 2")


# Nicer: Automatically load the notebook.
class Question2(NotebookTestCase):
    notebook = "week2.ipynb"
    def test_add(self):
        self.assertEqualC(self.nb.myfun(2,8))

class Report1Jupyter(Report):
    title = "CS 105 Report 5"
    questions = [(Week1, 10),
                 (Question2, 8)
                 ]  # Include a single question for 10 credits.
    pack_imports = [homework1]

if __name__ == "__main__":
    evaluate_report_student(Report1Jupyter())
