
from cs202courseware.ug2report1 import Report1
import pickle
import os
import glob
from unitgrade_private.deployment import remove_hidden_methods
from unitgrade_private.hidden_gather_upload import gather_upload_to_campusnet
from unitgrade_private.hidden_create_files import setup_grade_file_report
import shutil

# def docker_run_token_file(Dockerfile_location, host_tmp_dir, student_token_file, ReportClass):
#     """
#     This thingy works:
#
#     To build the image, run:
#     docker build --tag python-docker .
#
#     To run the app run:
#
#     docker run -v c:/Users/tuhe/Documents/2021/python-docker/tmp:/app python-docker > output.log
#
#     """
#     # A bunch of tests. This is going to be great!
#     assert os.path.exists(Dockerfile_location)
#     import time
#     start = time.time()
#
#     with open(student_token_file, 'rb') as f:
#         results = pickle.load(f)
#     sources = results['sources'][0]
#     import zipfile
#     import io
#     with io.BytesIO(sources['zipfile']) as zb:
#         with zipfile.ZipFile(zb) as zip:
#             zip.extractall(host_tmp_dir)
#     # Done extracting the zip file! Now time to move the (good) report test class into the location.
#     import inspect
#     gscript = inspect.getfile(ReportClass)[:-3] + "_grade.py"
#     shutil.copy(gscript, host_tmp_dir + "/" + sources['name'] + "/" + sources['report_relative_location'])
#     # Now everything appears very close to being set up and ready to roll!.
#     import thtools
#
#     """
#     docker run -v c:/Users/tuhe/Documents/2021/python-docker/tmp:/app python-docker python3 -m cs202courseware.ug2report1_grade
#     """
#     dockname = os.path.basename( os.path.dirname(Dockerfile) )
#
#     tmp_grade_file =  sources['name'] + "/" + sources['report_relative_location']
#
#     pycom = ".".join( (sources['name'], ) + os.path.split(sources['report_relative_location'])[1:] )
#     pycom = "python3 -m " + pycom[:-3]
#
#     tmp_path = os.path.abspath(host_tmp_dir).replace("\\", "/")
#     dcom = f"docker run -v {tmp_path}:/app {dockname} {pycom}"
#     cdcom = f"cd {os.path.dirname(Dockerfile)}"
#     fcom = f"{cdcom}  && {dcom}"
#     print("> Running docker command")
#     print(fcom)
#     import thtools
#     thtools.execute_command(fcom.split())
#     # get token file:
#
#     host_tmp_dir +"/" + os.path.dirname(tmp_grade_file) + "/"
#     tokens = glob.glob(host_tmp_dir +"/" + os.path.dirname(tmp_grade_file) + "/*.token" )
#     for t in tokens:
#         print("Source image produced token", t)
#     elapsed = time.time() - start
#     print("Elapsed time is", elapsed)
#     return tokens[0]

if __name__ == '__main__':
    # Clean hidden files.
    ReportClass = Report1
    r = Report1()
    # How to manually gather files for upload:
    gather_upload_to_campusnet(Report1())
    # How to set up the _grade.py script.
    # Remove old pickle files:
    wdir = os.path.dirname(__file__)
    for f in glob.glob(wdir+"/"+ReportClass.__qualname__ + "*.token"):
        os.remove(f)

    setup_grade_file_report(ReportClass, execute=True, obfuscate=False, minify=False, bzip=False, nonlatin=False, source_process_fun=None)

    """ Make a basic handin. """
    def setup_handin():
        # Now the grade file is set up. Try to make a student handin directory:
        if not os.path.isdir(f"{wdir}/handins"):
            os.mkdir(f"{wdir}/handins")
        sid = "s123456"
        fpath = f"{wdir}/handins/{sid}"
        if os.path.isdir(fpath):
            shutil.rmtree(fpath)
        if not os.path.isdir(fpath):
            os.mkdir(fpath)
        f = glob.glob(wdir+"/"+ReportClass.__qualname__ + "*.token")[0]
        token_file = fpath + "/"+os.path.basename(f)
        shutil.copy(f, token_file)
        return token_file

    """ Now let students handin an answer to play with. """
    token_file = setup_handin()

    # Dockerfile = os.path.dirname(__file__) + "/../"
    Dockerfile = os.path.dirname(__file__) + "/../../2021/python-docker/Dockerfile"

    from unitgrade_private.docker_helpers import docker_run_token_file
    docker_run_token_file(Dockerfile_location=Dockerfile,
                          host_tmp_dir=os.path.dirname(Dockerfile)+"/tmp",
                          student_token_file=token_file,
                          ReportClass=Report1)



    s = 234

    # import unittest
    # q = r.questions[0][0]
    # unittest.main( q)

    ## Example: Remove hidden files.
    cache = r._setup_answers()
    r2 = Report1(payload=cache) # Example: Instantiate a report with cache.
    fout, ReportWithoutHidden = remove_hidden_methods(Report1)



    # Load report and pre-compute all questions. Then save the cache.



    pass