from unitgrade.framework import Report
from unitgrade.evaluate import evaluate_report_student
from homework1 import reverse_list, add
import homework1
import unittest

class Week1(unittest.TestCase):
    def test_add(self):
        self.assertEqual(add(2,2), 4)
        self.assertEqual(add(-100, 5), -95)

    def test_reverse(self):
        self.assertEqual(reverse_list([1,2,3]), [3,2,1])

class Report1Flat(Report):
    title = "CS 101 Report 1"
    questions = [(Week1, 10)]  # Include a single question for 10 credits.
    pack_imports = [homework1] # Unitgrade will recursively include all .py files from "cs101flat"

if __name__ == "__main__":
    evaluate_report_student(Report1Flat())
