import shutil
from cs101.report1 import Report1 #!s
from unitgrade_private.hidden_create_files import setup_grade_file_report
from snipper import snip_dir

if __name__ == "__main__":
    setup_grade_file_report(Report1)  # Make the report1_grade.py report file

    # Deploy the files using snipper: https://gitlab.compute.dtu.dk/tuhe/snipper
    snip_dir("./", "../../students/cs101", exclude=['__pycache__', '*.token', 'deploy.py']) #!s

    # For my own sake, copy the homework file to the other examples.
    for f in ['../../../example_framework/instructor/cs102/homework1.py',
              '../../../example_docker/instructor/cs103/homework1.py',
              '../../../example_flat/instructor/cs101flat/homework1.py']:
        shutil.copy('homework1.py', f)
