def derivative(f, x, epsilon):
    '''
    Given a function f, a point x, and a (small) number epsilon, this function should approximately compute the derivative
    $$
    df/dx \approx (f(x + \epsilon) - f(x))/\epsilon
    $$
    :param f:
    :param x:
    :param epsilon:
    :return:
    '''
    return (f(x+epsilon)-f(x))/epsilon

def riemann_integrate_xs(a, b, N):

    pass


def riemann_integrate(f, a, b, N):

    pass
