class GroceryList:
    def __init__(self):
        # Populate the items:
        self.items = {'Lasagne': (1, "With eggs if available"), "Salmon": (500, "Smoked if available"),
                      "Spinach": (300, "Fresh"),                "Dessert": (8, "Maybe lagkage?"), }

    def add(self, name, quantity=1, notes=""): #!f
        if name in self.items:
            item = self.items[name]
            self.items[name] = (item[0] + quantity, item[1] + ";" + notes)
        else:
            self.items[name] = (quantity, notes)

    def remove(self, name, quantity=1): #!f
        if name not in self.items:
            return False
        else:
            self.items[name] = (self.items[name][0]-quantity, self.items[name][1])
            if self.items[name][0] <= 0:
                del self.items[name]
            return True

    def copyEntry(self, name, new_name): #!f
        if name not in self.items or new_name in self.items:
            return False
        else:
            self.items[new_name] = self.items[name]
            return True

    def display(self): # Don't edit this function; it is used for the test.
        s = [f"> {name=};{quantity=};{notes=}" for name, (quantity, notes) in self.items.items()]
        print("\n".join(s))
        return s
