from unitgrade_private import setup_grade_file_report
from snipper import snip_dir
from snipper.load_citations import get_aux, get_bibtex
from cpp_course.tests_ex6 import Week6
from cpp_exam.tests_exam import ExamMay2021
from intro_python.exam_complete import Exam2021

if __name__ == "__main__":
    setup_grade_file_report(Exam2021, remove_hidden=True)
    setup_grade_file_report(Week6)
    setup_grade_file_report(ExamMay2021)

    auxfile = get_aux('../Latex/index.aux')
    references = dict(bibtex=get_bibtex('../Latex/pensum.bib'), aux=auxfile, commands=[dict(command='\\cr ef', output="(Assignment 6, %s)", aux=auxfile)])
    snip_dir("../../../../../pyminifier_copy/src/", "../students", clean_destination_dir=True, exclude=['*.token', 'deploy*.py', '*_complete*'], output_dir="../Latex/output", references=references)

