import numpy as np
from unittest import TestCase
from unitgrade import UTestCase, Report, hide
import intro_python_devel
from intro_python_devel.water_height import water_height

class Q1_WaterHeight(UTestCase):
    def test1(self):
        h0 = 5
        r = np.array([4.5, 0, 1.5, 0, 0, 0.5, 1, 2, 5])
        print("The result is supposed to be", self.get_expected_test_value())

        h = water_height(h0, r)
        # self.assertEqual(h, 3.0)  # Check that the height is 3.0

        self.assertEqualC(h)  # Check that the height is 3.0



class ReportWater(Report):
    title = "Water height problem example"
    questions = [(Q1_WaterHeight, 40)]
    pack_imports = [intro_python_devel]

if __name__ == "__main__":
    from unitgrade import evaluate_report_student
    evaluate_report_student(ReportWater())
